XAUI Electrical Validation Application

Keysight N5431A XAUI Electrical Validation Application Online Help

XAUI Electrical Validation Application

The Keysight N5431A XAUI Electrical Validation Application provides the framework for using Keysight Infiniium scopes to perform XAUI Compliance testing. It measures the electrical parameters of the IEEE specifications, specifically IEEE 802.3-2005.

The XAUI compliance test application requires:

  • Version A.05.20.00 or greater of the Infiniium application.

  • 54855A or 80000 Series Infiniium Digital Storage Oscilloscope.

  • InfiniiMax probes: 1134A/1168A/1169A.

  • N5380A SMA probe head is recommended.

  • Keysight also recommends using a second monitor to view the XAUI compliance test application.

To use the XAUI automated test application, see:

  • Starting the XAUI Electrical Validation application
    • To view/minimize the task flow pane
    • To view/hide the toolbar
  • Creating or Opening a Test Project
  • Setting Up XAUI Test Environment
  • Selecting Tests
  • Configuring Tests
  • Connecting the Oscilloscope to the DUT
  • Running Tests
  • Viewing Test Results
    • To show reference images and flash mask hits
    • To change margin thresholds
    • To change auto-recovery option
    • To change the report display
  • Viewing/Printing the HTML Test Report
  • Saving Test Projects
  • Understanding the HTML Report

For more information on performing XAUI compliance tests, see:

  • XAUI Compliance Testing Methods of Implementation


Starting the XAUI Electrical Validation Application

Starting the XAUI Electrical Validation Application

  1. From the Infiniium scope's main menu, choose Analyze>Automated Test Apps>XAUI Test.

    The XAUI test application window appears.

  2. The task flow pane and the tabs in the main pane show the steps you need to take before running the automated tests.

  3. You may find an asterisk symbol appears at the top panel of the window. This asterisk indicates that changes have been made to the original settings and have not been saved. For example, the original Device Test Point is XAUI. If 10GBASE-CX4 is selected, the asterisk symbol appears.

See Also

  • To view/minimize the task flow pane

  • To view/hide the toolbar

  • Creating or Opening a Test Project


To view/minimize the task flow pane

To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the Task Flow button in the pane.

See Also

  • Starting the XAUI Electrical Validation Application


To view/hide the toolbar

To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, choose View>Toolbar from the menu.

See Also

  • Starting the XAUI Electrical Validation Application


Creating or Opening a Test Project

Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the menu.

    A new project is opened and given a default name which can be saved as another name later.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

  • Setting Up XAUI Test Environment


Setting Up XAUI Test Environment

Setting Up XAUI Test Environment

  1. Click the Set Up tab, or click the Set Up box in the Task Flow pane.

  2. Select the Device Under Test for the signal (XAUI or 10GBASE-CX4) you want to test.

  3. Select the Connection Type (Differential or Single-ended).

  4. The Differential selection shows additional selections for the Lane to be tested.

  5. The XAUI Specific area allows you to select the but rates. This option is only available for XAUI tests.

  6. Type in or select the Device Identifier from the drop-down list. This information is only used in the Html Report and does not affect any tests.

See Also

For more information on performing XAUI compliance tests, see:

  • XAUI Compliance Testing Methods of Implementation


Selecting Tests

Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

Note

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab and the Configure tab (Compliance or Debug Mode).

Some things to note:

  • Checking a parent node or group will check all available sub-groups or tests.

  • Un-checking a parent node or group will uncheck all sub-groups or tests.

  • A parent node is checked if all subgroups are checked.

  • A parent node is unchecked if ANY subgroup is unchecked.

Clicking the Right Mouse Button

When you click the right mouse button on the tests pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The marks have the following meanings:

The test passed.

The test failed.

The test has not been run, or no tests in the group have been run.

The test is currently running.

Some tests in the group have run and passed.

Some tests in the group have run and failed.

Some tests in the group have passed and some have failed; not all of the tests have been run.

Some tests in the group have passed and some have failed; all of the tests have run.

All tests in the group have run and passed.

All tests in the group have run and failed.

See Also

  • Configuring Tests


Configuring Tests

Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. You are allowed to change the configuration of the Compliance Mode and the Debug Mode here.

Changing the preferred mode changes the configuration list accordingly.

    • Compliance Mode - lets you choose the configuration options necessary to meet the compliance standard.

    • Debug Mode - lets you modify the configuration options which may not meet the compliance standard. This can be useful when investigating a test failure.

  3. Select the bulleted item for the option you want to configure and enter your settings.

Configuration Option | Description
Number of UI | Sets the number of unit intervals tested and changes the amount of time to run a test.
Memory Depth | Sets the amount of acquisition used to capture waveform data. The greater the amount of memory used increase the time required to run a test and increase the accuracy of the test.
Report Test Times | Selects whether or not the duration of a test times and the start of test times are recorded in the Html Report.
Sampling Rate | Sets the sample rate used for the tests.
PLL Bandwidth | Selects the PLL bandwidth.
Lagging ISI Filter Coefficients | Sets the number of lagging coefficients used in the ISI filter.
Leading ISI Filter Coefficients | Sets the number of leading coefficients used in the ISI filter.
Bit Error Rate, BER | Sets the bit error rate used for jitter tests.
Differential Connection
Lane 0/1/2/3 Channel | Selects the channel number for Lane 0.
Tip
A quick way to reset all configuration options and delete all the test results is to create a new project. The new project will have default configuration options.

See Also

  • Connecting the Scope to the DUT


Connecting the Scope to the DUT

Connecting the Scope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. Follow the displayed instructions for connecting the scope to the device under test.

  3. When connections to the device under test have been made, check the I have completed these instructions box.

See Also

  • Running Tests


Running Tests

Running Tests

Note

You should allow the scope to warm-up at least 30 minutes before running any measurement tests.

Tip
It is a good idea to calibrate the scope at least once a year or when the Calibration DTemp is greater than ±5 °C. The Calibration DTemp is found in the Help>About Infiniium... menu on the Infiniium scope.

  1. To run all selected tests, click Run Tests in the Task Flow pane or click [image] in the toolbar and click Run These Tests.

    2. To run a selected branch of tests, select the branch in the Select Tests tab; then click [image] in the toolbar.

    By default, one trial is performed for each test. However, you can increase the number of trials. To do that, check the Enable MultiTrial Run checkbox and this will enable the Number Of Trials textbox. Type in your desired number of trials here and click Run These Tests.

  2. If there are existing test results, you are asked if you would like to keep them or re-test (delete) them.

    If you would like to keep the existing test results to compare against new results, select Append New "Trial" Results.

    Select Replace the Existing Results if you would like to delete the existing test results.

  3. While the tests are running, status dialogs appear to inform you about the test progress.

  4. When the tests are complete, click OK.

See Also

  • Viewing Test Results


Viewing Test Results

Viewing Test Results

  1. Click [image] in the toolbar, or click the Results tab.

  2. In general, the Results tab contains three resizable panes. The top pane lists the tests that were performed and the summary of the tests. If you select one of the tests in the top pane, the details and the reference images (if any) are shown in the lower panes.

  3. The summary of the test trial is displayed at the bottom left pane. It also shows the Worst Trial and has link to the trial display option where you can modify the information displayed.

  4. The bottom right pane has several tabs, depending on the selected Report Preferences. If more than one trial is selected, then the first tab will be the Summary tab. It shows the summary of all the test trials. A maximum of 25 trials can be displayed at any one time.

  5. If the worst first is selected as the trial display option, the Worst Trial will be the next tab after the Summary tab, followed by other trials in order of trial performance.

  6. The reference images will appear in the bottom right pane for the selected trials. See To show reference images and flash mask hits for more details on reference images.

Tip
A quick way to reset all configuration options and delete all the test results is to create a new project. The new project will have default configuration options.

See Also

  • To show reference images and flash mask hits

  • To change margin thresholds

  • To change auto-recovery option

  • To change the report display


To show reference images and flash mask hits

To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

    This opens the # Mask Failures dialog.

    In the # Mask Failures dialog, you can:

    • Click the [image] flash red pixels button to highlight the mask failure bits.

    • Click the [image] zoom in or [image] zoom out buttons to resize the dialog.

  2. Click the [image] close button to close the # Mask Failures dialog.

See Also

  • Viewing Test Results


To change margin thresholds

To change margin thresholds

  1. From the XAUI Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Margin Thresholds tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

    In the Margin Thresholds tab, you can:

    • Enable or disable margin reporting.

    • You can change the percent of margin at which to give warnings or critical failures.

  2. Click OK to close the Preferences dialog.

See Also

  • Viewing Test Results


To change margin thresholds

To change the auto-recovery option

  1. From the DDR2 Compliance Test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Run tab.

    Or, when viewing the Results tab, click [image] in the toolbar.

    In the Run tab, you can choose one of the below auto-recovery option :

    • Full - this option enables full recovery. This option saves the sub-trials even if the entire multi-trial was not completed.

    • Partial - this option enables read-only recovery. Similar to full recovery except that the result is saved as read-only.

    • None - this option disables the recovery option for the sub-trials. The result will only be saved if the entire multi-trial is completed.

  2. Click OK to close the Preferences dialog.

See Also

  • Viewing Test Results


To change the report display

To change the report display

  1. From the XAUI Electrical Valuation Application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Report tab.

    In the Report tab, you can

    • Change the view of the test result: You can view up to 25 worst trials at one time.

    • Order trial details chronologically or by worst trial first.

    • View images for up to 25 worst trial(s).

  2. Click OK to close the Preferences dialog.

Note

These settings only affect the viewing of results and not there capture. Therefore, a change can be made to either before or after running the tests.

See Also

  • Viewing Test Results


Viewing/Printing the HTML Test Report

Viewing/Printing the XAUI HTML Test Report

  1. To view the XAUI HTML test report, click the HTML Report tab.

  2. To preview the XAUI HTML test report printout, click [image] or choose File>Print Preview... from the menu.

  3. To print the XAUI HTML test report, click [image] or choose File>Print... from the menu.

See Also

  • Saving Test Projects


Saving Test Projects

Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File>Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.

Next

  • Understanding the HTML Report


Understanding the XAUI HTML Report

Understanding the XAUI HTML Report

The information in this topic will help you understand the different sections of the XAUI HTML Report.

The top section of the XAUI HTML Report contains the report header. The figure that follows shows an example of a report header. It has information about the oscilloscope used to perform the test: the version of the oscilloscope's application, the model number and the serial number of the oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box: Device Identifier and Comments. If any of this information was not entered, nothing is displayed in this section.

Summary Section

The Summary Section gives an overview for each of the tests that were run. The Pass column shows if the tests pass or fail. The Measured Value column shows the worst case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set in Margin Thresholds (in Preferences).

Measurement Sections

The next sections of the report show the statistics for each of the selected measurements.


Configuring a Second Monitor1

Configuring a Second Monitor

A second monitor can be used to display the application, allowing you to view the scope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the scope before configuring the extended desktop. Use the following instructions to configure a second monitor.

  1. Exit the scope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  4. Select Display.

  5. Select the Settings tab.

  6. Select monitor two and set the Screen resolution and Color quality for your monitor.

  7. Enable the Extend my Windows desktop onto this monitor control.

  8. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the scope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.


Configuring a Second Monitor2

Configuring a Second Monitor

When you select the Display Properties button in the User Preferences dialog box, one of two possible dialog boxes will appear depending on the model number of the scope that you are using. These two dialog boxes are shown below.

Display Properties Dialog Box Intel Display Properties Dialog Box

If you see the Intel Display Properties dialog box, click on the following link for instructions on configuring a second monitor.

Intel Display Properties Dialog Box

Otherwise, click on the following link for instructions.

Display Properties Dialog Box

Extending the Desktop

A second monitor can be used to display other application, allowing you to view the scope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the scope before configuring the extended desktop.


Configuring a Second Monitor3

Configuring a Second Monitor

A second monitor can be used to display the application, allowing you to view the scope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the scope before configuring the extended desktop. Use the following instructions to configure a second monitor.

  1. Select the Primary Device to be Notebook.

  2. Enable the Extended Desktop control.

  3. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the scope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extended Desktop control.


Configuring a Second Monitor4

Configuring a Second Monitor

A second monitor can be used to display the application, allowing you to view the scope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the scope before configuring the extended desktop. Use the following instructions to configure a second monitor.

  1. Select the Settings tab.

  2. Select monitor two and set the Screen resolution and Color quality for your monitor.

  3. Enable the Extend my Windows desktop onto this monitor control.

  4. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the scope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.


Keysight N5431A XAUI Electrical Validation Application

© 2014 Keysight Technologies

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

August, 2014

Table of Contents

Starting the XAUI Electrical Validation application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
Setting Up XAUI Test Environment
Selecting Tests
Configuring Tests
Connecting the Oscilloscope to the DUT
Running Tests
Viewing Test Results
To show reference images and flash mask hits
To change margin thresholds
To change auto-recovery option
To change the report display
Viewing/Printing the HTML Test Report
Saving Test Projects
Understanding the HTML Report

N5431A XAUI Electrical Validation Application

Online Help


Restricted Rights Legend

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.


Warranty

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.


Running the Automated Test Application on a Second Monitor

Running the Automated Test Application on a Second Monitor

A second monitor can be used to display the automated test application, allowing you to view the scope while using the application. The procedure to configure a second monitor depends on the version of scope software that is installed on the scope. To determine which procedure applies to your scope do the following.

  1. On the scope, select the Utilities>User Preferences... from the menu.

  2. If you see the Display Properties button then click on the following link.

Display Properties Configuration (when the button is visible)

If you did not see the Display Properties button then click on the following link.

Display Properties Configuration (when the button is not visible)


Slew Rate Edge Measurements

Slew Rate Edge Measurements

The Slew Rate Edge Measurements measure rise times and fall times of the signal and calculates the slew rate. The rise time and fall time are measured from the upper and lower measurement thresholds which are set by default to 250 mV for the upper threshold and -250 mV for the lower threshold. The threshold values can be changed in the Configure tab.